ISIS - Bug #4490

gnet - ability to select multiple free points broken
2016-10-27 04:48 PM - Lynn Weller

Status: Closed

Priority: Normal

Assignee: Makayla Shepherd

Category: Applications

Target version: FY17 Sprint 3

Impact: no impact Software Version:
Description

Once the Set Apriori/Sigmas tool is opened for a Free point, it will throw a warning when multiple free points are selected even
though the tool is not selected. This prevents the user from using Ignore Points or Delete Points on multiple free points. These
actions can still be performed on multiple free points as long as the Set Apriori/Sigmas tool is never used on a free point. This
problem was introduced when changes were made via post #2325. I'm running under the latest production
(isis3production2016-10-18).

Data and a test plan to recreate the problem can be found here: /work/projects/usertests/UserTestPlans/Apps/qnet/m04490
Open images.lis and IrocG.net (contains Free and Constrained points)

Steps to reproduce problem:

- launch gnet and open image list and network

- select/highlight the point id of a free point (anything with format pt_)

- click on Set Apriori/Sigmas, then click cancel

- select multiple free points

This last action will result in a Warning dialog appearing saying "Sigmas can only be set on Constrained points. Use Filters to filter
by Constrained points."

This warning will always appear when multiple free points are selected preventing the user from deleting the points or ignoring them
if they wish. This message should only appear when multiple free points (or a combo of free and constrained; fixed points as well)
are highlighted and the Set Apriori/Sigmas box is clicked on, not before.

Related issues:

Related to ISIS - Bug #2325: gnet - Set Apriori Point functionality completel... Closed
Related to ISIS - UserTestPlan #4499: gnet - ability to select multiple free ... Closed
History

#1 - 2016-10-27 04:49 PM - Lynn Weller
- Related to Bug #2325: qnet - Set Apriori Point functionality completely broke added

#2 - 2016-10-28 09:14 AM - Lynn Weller

- Description updated

#3 - 2016-10-28 03:41 PM - Tammy Becker

- Status changed from New to Acknowledged

#4 - 2016-11-01 10:17 AM - Tammy Becker
- Related to UserTestPlan #4499: gnet - ability to select multiple free points broken added

#5 - 2016-11-10 10:17 AM - Jason Laura
- Target version set to FY17 Backlog

#6 - 2016-11-10 11:14 AM - Jason Laura
- Story points set to 4
#7 - 2016-11-10 11:14 AM - Jason Laura
- Target version changed from FY17 Backlog to FY17 Sprint 3

#8 - 2016-11-14 01:49 PM - Makayla Shepherd
- Assignee set to Makayla Shepherd

#9 - 2016-11-16 10:35 AM - Jason Laura

- Status changed from Acknowledged to In Progress

#10 - 2016-11-16 01:35 PM - Makayla Shepherd
- Status changed from In Progress to Resolved

- Impact updated

#12 - 2016-11-17 09:57 AM - Lynn Weller

What system was this built for? | get library loading errors on astrovm3 and astrovm4.
When this does get rebuilt, let me know what OS | need to test under. Thanks!

#13 - 2016-11-17 01:46 PM - lan Humphrey

- Status changed from Resolved to In Review

#14 - 2016-11-17 03:26 PM - lan Humphrey

- Status changed from In Review to Feedback

User Test Plan:

I ran through the user test plan. The specific sequence of events mentioned in the user test plan (#4499) is now working:

setisis to m04490

use the associated user test plan control net and image list

Select pt_007

Click "Set Apriori/Sigmas"”

Click "Cancel"

Select both pt_007 and pt_008

No warning message about "Sigmas can olnly be set on Contrained points" (Note that this message misspells Constrained)

However; this message will still appear in the following circumstance:

® Select pt_007

e Click "Set Apriori/Sigmas"

¢ Select an additional point, pt_008 (hold SHIFT)

¢ The message pops up, even though these are both Free points

I'm unsure what the intended behavior is here?

Review suggestions:
| would probably update any history / author dates to be the date you commit your changes.
Also, make sure to rebuild this ticket on prog24 so Lynn can look at it with astrovm4.
QnetNavTool.h

* Add a history comment describing changes with some reference to this ticket number.
QnetNavTool.cpp

* In disconnectAprioriDialog(), | would make sure that the disconnect parameters align with each other.
¢ Ensure the white-space above disconnectAprioriDialog()'s documentation is consistent with rest of file.

¢ The documentation for disconnectAprioriDialog() says that the apriori dialog is deleted, but it doesn't seem to be deleted in that slot.

QnetSetAprioriDialog.h
e Add a history comment that documents what changed and references this ticket number.
QnetSetAprioriDialog.cpp

Consider adding comments to connections being set up in the constructor.

In closeEvent() make sure that the disconnect parameters are aligned in a consistent manner.

The closeEvent() documentation says that it deletes the dialog, but it isn't explicitly deleted.

The history for setApriori() says a boolean was added, but there does not seem to be a boolean added?

(This is just an observation, and is not part of your ticket or changes, but confused me a little)

Do you know why there is a m_aprioriDialog of type QDialog when this class is a QDialog child? In the createSetAprioriDialog() method, at the bottom
a new QDialog is created and assigned to m_aprioriDialog. I'm unsure why this member is needed, since this (QnetSetAprioriDialog) is the apriori
dialog and we can make any calls on m_aprioriDialog on this?

#15 - 2016-11-18 09:47 AM - Makayla Shepherd

- Status changed from Feedback to Resolved

This is now built for astrovm4.

I've made all of the changes suggested. The message is supposed to appear when the dialog is still open and the user selects multiple free/fixed
points, so that is working as intended.

#16 - 2016-11-18 10:59 AM - Lynn Weller

- Status changed from Resolved to Feedback

While testing the changes the program crashed. Same test data and location as before.

Here are my steps once gnet is launched and the images list and network are loaded:

- select multiple free points

- click Set Apriori/Sigmas

- click ok on the warning dialog about not being able to set sigmas on multiple free points

The warning goes away, but the Set Apriori Point and Constraints window is still open, though everything is disabled.
- click on the x in the upper right corner of the Set Apriori Point and Constraints window

- crash

This is what went to my launching shell:
[1] llegal instruction gnet (core dumped)

Drop by if you need a demo.
#17 - 2016-11-18 11:29 AM - Makayla Shepherd

| fixed the crash. It should be good to go now.

#18 - 2016-11-18 01:31 PM - Makayla Shepherd

- Status changed from Feedback to Resolved

#19 - 2016-11-18 04:34 PM - Lynn Weller

- Status changed from Resolved to Closed

Looks good!

| updated the test plan to reflect the app now works properly and the expected and actual results now match. | also added a couple of extra things to
test while there (having to do with selecting multiple free points). The old test plan was moved to gnet. m04490_testplan.txt.org. | don't know what
the protocol is when a post is resolved and the test plan is updated, so | just took a stab at it.

Test plan and data in same location as before: /work/projects/usertests/UserTestPlans/Apps/qnet/m04490/

Files
